import { CategoryService } from './category.service';
import { CrudController } from '@dataui/crud';
import { Category } from './entities/category.entity';
export declare class CategoryController implements CrudController<Category> {
    service: CategoryService;
    constructor(service: CategoryService);
    getNestedCategories(): Promise<Partial<Category>[]>;
}
